#!/usr/bin/env node

const fs = require("fs");
const pkg = require("../package.json");

pkg.main = `./${pkg.name}-min.cjs`;
pkg.module = `./${pkg.name}-min.js`;
pkg.type = "module";
pkg.types = "types/index.d.ts",

pkg.browser = {
	"os": false,
	[`${pkg.name}`]: `./${pkg.name}-min.js`
 };

pkg.exports = {
	".": {
		"node": {
			"require": `./${pkg.name}-min.cjs`,
			"import": `./${pkg.name}-min.cjs.mjs`
		},
		"import": `./${pkg.name}-min.mjs`,
		"default": `./${pkg.name}-min.js`
	}
};

pkg.files = [
	//"types",
	"package.json",
	"*.md",
	"*.js",
	"*.cjs",
	"*.mjs",
	"*.css",
	"*.txt",
	"docs",
	"static",
	"*.d.ts"
];

delete pkg.devDependencies;
delete pkg.optionalDependencies;
delete pkg.scripts;
delete pkg.engines;

delete pkg["repository-private"];

fs.writeFileSync("dist/package.json", JSON.stringify(pkg, 0, 2));
